# Lawful Good

## Synopsis
In a dystopian future, 

## Screenshots
@@@

## Installation
Download latest release, or browse releases page. @@@

## Building from source

Dependencies:
- Debian:
    - Vulkan: `vulkan-tools libvulkan-dev vulkan-validationlayers-dev spirv-tools`
    - glfw: `libglfw3-dev`
    - glm: `libglm-dev`
- Fedora:
    - Vulkan: `vulkan-tools vulkan-loader-devel mesa-vulkan-devel vulkan-validation-layers-devel`
    - glfw: `glfw-devel`
    - glm: `glm-devel`
- Arch:
    - Vulkan: `vulkan-devel`
    - glfw: `glfw-wayland` or `glfw-x11 for X11 users`
    - glm: `glm`

Check for vulkan compatibility
([vulkan-tutorial.com](https://vulkan-tutorial.com/resources/vulkan_tutorial_en.pdf)):
_"If installation was successful, you should be all set with
the Vulkan portion. Remember to run vkcube, and ensure you
see a pop up a window with a spinning cube. If you receive
an error message then ensure that your drivers are up-to-date,
include the Vulkan runtime and that your graphics card is
supported"_

## Support
@@@

## Roadmap

### Development

- [ ] Basic engine
- [ ] Load a scene
    - [ ] Map
    - [ ] Assets
    - [ ] Characters
    - [ ] Interactives
    - [ ] Dialogues

### Story

- [ ] [Setting](./doc/story/setting.md) (where, when)
- [ ] [Characters](./doc/story/characters.md) (who)
- [ ] [Conflict](./doc/story/plot.md) (why)
- [ ] [Plot](./doc/story/plot.md) (how)
- [ ] [Theme](./doc/story/plot.md) (goal)

## Contributing
@@@

## Authors and acknowledgment
@@@

## License
GPLv3

## Project status
@@@
